# Query callback rule details

Query a callback rule.

```text
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/callback-rules/{callback_rule_id}
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

Set the operation-specific values used in the request: `$CALLBACK_RULE_ID`.

## Request example

```bash
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/callback-rules/$CALLBACK_RULE_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and callback rules on success.

```json
{"code":0,"data":{"id":"rule_01"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Callback rule ID. |

## Error response

```json
{"code":5,"message":"callback rule not found"}
```
